<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Fri May 27 03:09:52 CEST 2022 -->
<title>Game</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-05-27">
<meta name="description" content="declaration: class: Game">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h1 title="Class Game" class="title">Class Game</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">Game</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Game</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">la classe principale pour les méthodes utilsés dans le jeu</div>
<dl class="notes">
<dt>Author:</dt>
<dd>imad</dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second even-row-color"><code><a href="#board" class="member-name-link">board</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second odd-row-color"><code><a href="#characters" class="member-name-link">characters</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>boolean</code></div>
<div class="col-second even-row-color"><code><a href="#gameBegun" class="member-name-link">gameBegun</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>boolean</code></div>
<div class="col-second odd-row-color"><code><a href="#gameOver" class="member-name-link">gameOver</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second even-row-color"><code><a href="#list" class="member-name-link">list</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</code></div>
<div class="col-second odd-row-color"><code><a href="#loadedPieces" class="member-name-link">loadedPieces</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">Game</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">initialisation le jeu et tentative de chargement du jeu</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#attackCoords(int,int,int,int)" class="member-name-link">attackCoords</a><wbr>(int&nbsp;x,
 int&nbsp;y,
 int&nbsp;attackerX,
 int&nbsp;attackerY)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">attaque la pièce aux coordonnées de la pièce marquée</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#attackPiece(int,int,int,int)" class="member-name-link">attackPiece</a><wbr>(int&nbsp;x,
 int&nbsp;y,
 int&nbsp;attackerX,
 int&nbsp;attackerY)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">handles all the different attack types and calls attackCoords for each location targeted</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#beginGame()" class="member-name-link">beginGame</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">commence le jeu</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#blueCurTotalHealth()" class="member-name-link">blueCurTotalHealth</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie un int du total de la santé restante de tous les personnages bleus</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#blueDamageDealt()" class="member-name-link">blueDamageDealt</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie l'int du total des dommages que tous les personnages bleus ont infligé pendant la partie</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#blueMaxTotalHealth()" class="member-name-link">blueMaxTotalHealth</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie un nombre entier de la santé maximale totale de tous les personnages bleus.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#endGame()" class="member-name-link">endGame</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">met fin à la partie en cours</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getMoves()" class="member-name-link">getMoves</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie les mouvements les plus récents</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getPiece(int,int)" class="member-name-link">getPiece</a><wbr>(int&nbsp;x,
 int&nbsp;y)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">retourne la pièce aux coordonnées</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getTurn()" class="member-name-link">getTurn</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie 0 pour le bleu et 1 pour le rouge</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getWinner()" class="member-name-link">getWinner</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie le gagnant du jeu sous la forme d'une chaîne</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#importPieces(GamePiece%5B%5D)" class="member-name-link">importPieces</a><wbr>(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">importer les pièces choisies</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isBack()" class="member-name-link">isBack</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Retourne au menu principale</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isBegun()" class="member-name-link">isBegun</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">retourne vrai si le jeu a commencé, faux sinon</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isOver()" class="member-name-link">isOver</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">retourne vrai si le jeu est terminé, faux sinon</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isValidAttack(GamePiece,GamePiece)" class="member-name-link">isValidAttack</a><wbr>(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece1,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece2)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">returns true if the two passed pieces are different colors, false if they are the same color</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#isValidMove(int,int,GamePiece)" class="member-name-link">isValidMove</a><wbr>(int&nbsp;x,
 int&nbsp;y,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">returns true if the x,y location is a valid move for the given piece considering the spot is empty already</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#loadGame(GamePiece%5B%5D)" class="member-name-link">loadGame</a><wbr>(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">lance la partie sauvegardée</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#markPiece(int,int)" class="member-name-link">markPiece</a><wbr>(int&nbsp;x,
 int&nbsp;y)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">définit la pièce marqué comme étant celui aux coordonnées passées et le retourne</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#movePiece(int,int)" class="member-name-link">movePiece</a><wbr>(int&nbsp;x,
 int&nbsp;y)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">déplace la pièce marquée aux coordonnées passées</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#playSound(java.lang.String)" class="member-name-link">playSound</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;soundName)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">cette méthode permet de jouer un son</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#redCurTotalHealth()" class="member-name-link">redCurTotalHealth</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie le nombre total de points de vie restants pour tous les personnages rouges.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#redDamageDealt()" class="member-name-link">redDamageDealt</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie un int du total des dommages que tous les personnages rouges ont infligés pendant la partie.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#redMaxTotalHealth()" class="member-name-link">redMaxTotalHealth</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">renvoie un nombre entier de la santé maximale totale de tous les personnages rouges.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#restart()" class="member-name-link">restart</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">redémarre le jeu</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#saveGame()" class="member-name-link">saveGame</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">enregistre la partie</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#select(int,int,GamePiece%5B%5D)" class="member-name-link">select</a><wbr>(int&nbsp;i,
 int&nbsp;j,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">cette méthode met ou non une piéce dans la partie</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setTurn(int)" class="member-name-link">setTurn</a><wbr>(int&nbsp;turn)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Qui va Jouer?</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#update()" class="member-name-link">update</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">vérifie les conditions de mise à jour pour progresser vers la fin de la partie</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#updateMoves(int,int,GamePiece,int)" class="member-name-link">updateMoves</a><wbr>(int&nbsp;x,
 int&nbsp;y,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 int&nbsp;type)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">mouvement des pieces</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#writeGame()" class="member-name-link">writeGame</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">écrit les statistiques du jeu dans un fichier</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="gameBegun">
<h3>gameBegun</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">gameBegun</span></div>
</section>
</li>
<li>
<section class="detail" id="gameOver">
<h3>gameOver</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">gameOver</span></div>
</section>
</li>
<li>
<section class="detail" id="board">
<h3>board</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</span>&nbsp;<span class="element-name">board</span></div>
</section>
</li>
<li>
<section class="detail" id="list">
<h3>list</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</span>&nbsp;<span class="element-name">list</span></div>
</section>
</li>
<li>
<section class="detail" id="characters">
<h3>characters</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</span>&nbsp;<span class="element-name">characters</span></div>
</section>
</li>
<li>
<section class="detail" id="loadedPieces">
<h3>loadedPieces</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]</span>&nbsp;<span class="element-name">loadedPieces</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Game</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Game</span>()</div>
<div class="block">initialisation le jeu et tentative de chargement du jeu</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="playSound(java.lang.String)">
<h3>playSound</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">playSound</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;soundName)</span></div>
<div class="block">cette méthode permet de jouer un son</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>soundName</code> - la route vers le son</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="update()">
<h3>update</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">update</span>()</div>
<div class="block">vérifie les conditions de mise à jour pour progresser vers la fin de la partie</div>
</section>
</li>
<li>
<section class="detail" id="setTurn(int)">
<h3>setTurn</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setTurn</span><wbr><span class="parameters">(int&nbsp;turn)</span></div>
<div class="block">Qui va Jouer?</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>turn</code> - mettre le tour à l'équipe opposée</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getMoves()">
<h3>getMoves</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html" title="class or interface in java.util" class="external-link">ArrayList</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;</span>&nbsp;<span class="element-name">getMoves</span>()</div>
<div class="block">renvoie les mouvements les plus récents</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>les mouvement effectués</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="updateMoves(int,int,GamePiece,int)">
<h3>updateMoves</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">updateMoves</span><wbr><span class="parameters">(int&nbsp;x,
 int&nbsp;y,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece,
 int&nbsp;type)</span></div>
<div class="block">mouvement des pieces</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - posistion x en pixel</dd>
<dd><code>y</code> - posistion y en pixel</dd>
<dd><code>piece</code> - la piece qu'on veut bouger</dd>
<dd><code>type</code> - le type 0 est le déplacement, le type 1 est l'attaque</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getWinner()">
<h3>getWinner</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getWinner</span>()</div>
<div class="block">renvoie le gagnant du jeu sous la forme d'une chaîne</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la couleur du gagnant</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="beginGame()">
<h3>beginGame</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">beginGame</span>()</div>
<div class="block">commence le jeu</div>
</section>
</li>
<li>
<section class="detail" id="restart()">
<h3>restart</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">restart</span>()</div>
<div class="block">redémarre le jeu</div>
</section>
</li>
<li>
<section class="detail" id="isBegun()">
<h3>isBegun</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isBegun</span>()</div>
<div class="block">retourne vrai si le jeu a commencé, faux sinon</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le jeu commance</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isBack()">
<h3>isBack</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">isBack</span>()</div>
<div class="block">Retourne au menu principale</div>
</section>
</li>
<li>
<section class="detail" id="endGame()">
<h3>endGame</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">endGame</span>()</div>
<div class="block">met fin à la partie en cours</div>
</section>
</li>
<li>
<section class="detail" id="isOver()">
<h3>isOver</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isOver</span>()</div>
<div class="block">retourne vrai si le jeu est terminé, faux sinon</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le jeu et fini</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="blueDamageDealt()">
<h3>blueDamageDealt</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">blueDamageDealt</span>()</div>
<div class="block">renvoie l'int du total des dommages que tous les personnages bleus ont infligé pendant la partie</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>damage bleu</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="redDamageDealt()">
<h3>redDamageDealt</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">redDamageDealt</span>()</div>
<div class="block">renvoie un int du total des dommages que tous les personnages rouges ont infligés pendant la partie.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>damage rouge</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="blueCurTotalHealth()">
<h3>blueCurTotalHealth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">blueCurTotalHealth</span>()</div>
<div class="block">renvoie un int du total de la santé restante de tous les personnages bleus</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>santé bleu</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="blueMaxTotalHealth()">
<h3>blueMaxTotalHealth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">blueMaxTotalHealth</span>()</div>
<div class="block">renvoie un nombre entier de la santé maximale totale de tous les personnages bleus.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>points vie bleu</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="redCurTotalHealth()">
<h3>redCurTotalHealth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">redCurTotalHealth</span>()</div>
<div class="block">renvoie le nombre total de points de vie restants pour tous les personnages rouges.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>point vie rouge</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="redMaxTotalHealth()">
<h3>redMaxTotalHealth</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">redMaxTotalHealth</span>()</div>
<div class="block">renvoie un nombre entier de la santé maximale totale de tous les personnages rouges.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>santé rouge</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="writeGame()">
<h3>writeGame</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">writeGame</span>()
               throws <span class="exceptions"><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></span></div>
<div class="block">écrit les statistiques du jeu dans un fichier</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></code> - retourne une erreur si le fichier n'existe pas</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="saveGame()">
<h3>saveGame</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">saveGame</span>()
              throws <span class="exceptions"><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></span></div>
<div class="block">enregistre la partie</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="loadGame(GamePiece[])">
<h3>loadGame</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">loadGame</span><wbr><span class="parameters">(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</span>
              throws <span class="exceptions"><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></span></div>
<div class="block">lance la partie sauvegardée</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>board</code> - le tableu de jeu</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></code> - arrete si le fichier de sauvegarde n'existe pas</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importPieces(GamePiece[])">
<h3>importPieces</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">importPieces</span><wbr><span class="parameters">(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;board)</span>
                  throws <span class="exceptions"><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></span></div>
<div class="block">importer les pièces choisies</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>board</code> - la table de jeu</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileNotFoundException.html" title="class or interface in java.io" class="external-link">FileNotFoundException</a></code> - retourne une erreur si le fichier n'existe pas</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="markPiece(int,int)">
<h3>markPiece</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a></span>&nbsp;<span class="element-name">markPiece</span><wbr><span class="parameters">(int&nbsp;x,
 int&nbsp;y)</span></div>
<div class="block">définit la pièce marqué comme étant celui aux coordonnées passées et le retourne</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - coordonné X de la table (pixel)</dd>
<dd><code>y</code> - coordonné X de la table (pixel)</dd>
<dt>Returns:</dt>
<dd>la pièce marqué</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getPiece(int,int)">
<h3>getPiece</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a></span>&nbsp;<span class="element-name">getPiece</span><wbr><span class="parameters">(int&nbsp;x,
 int&nbsp;y)</span></div>
<div class="block">retourne la pièce aux coordonnées</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - coordonné X de la table (pixel)</dd>
<dd><code>y</code> - coordonné Y de la table (pixel)</dd>
<dt>Returns:</dt>
<dd>une pièce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="movePiece(int,int)">
<h3>movePiece</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">movePiece</span><wbr><span class="parameters">(int&nbsp;x,
 int&nbsp;y)</span></div>
<div class="block">déplace la pièce marquée aux coordonnées passées</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - coordonné X de la table (pixel)</dd>
<dd><code>y</code> - coordonné Y de la table (pixel)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="attackPiece(int,int,int,int)">
<h3>attackPiece</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">attackPiece</span><wbr><span class="parameters">(int&nbsp;x,
 int&nbsp;y,
 int&nbsp;attackerX,
 int&nbsp;attackerY)</span></div>
<div class="block">handles all the different attack types and calls attackCoords for each location targeted</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - la coordonnée X de la victime</dd>
<dd><code>y</code> - la coordonnée Y de la victime</dd>
<dd><code>attackerX</code> - la coordonnée X de l'attaquant</dd>
<dd><code>attackerY</code> - la coordonnée Y de l'attaquant</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="attackCoords(int,int,int,int)">
<h3>attackCoords</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">attackCoords</span><wbr><span class="parameters">(int&nbsp;x,
 int&nbsp;y,
 int&nbsp;attackerX,
 int&nbsp;attackerY)</span></div>
<div class="block">attaque la pièce aux coordonnées de la pièce marquée</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - la coordonnée X de la victime</dd>
<dd><code>y</code> - la coordonnée Y de la victime</dd>
<dd><code>attackerX</code> - la coordonnée X de  l'attaquant</dd>
<dd><code>attackerY</code> - la coordonnée Y de l'attaquant</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getTurn()">
<h3>getTurn</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getTurn</span>()</div>
<div class="block">renvoie 0 pour le bleu et 1 pour le rouge</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>le tour de qui</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isValidAttack(GamePiece,GamePiece)">
<h3>isValidAttack</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isValidAttack</span><wbr><span class="parameters">(<a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece1,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece2)</span></div>
<div class="block">returns true if the two passed pieces are different colors, false if they are the same color</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>piece1</code> - la première pièce</dd>
<dd><code>piece2</code> - la deuxième pièce</dd>
<dt>Returns:</dt>
<dd>boolean</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="select(int,int,GamePiece[])">
<h3>select</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">select</span><wbr><span class="parameters">(int&nbsp;i,
 int&nbsp;j,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>[]&nbsp;characters)</span></div>
<div class="block">cette méthode met ou non une piéce dans la partie</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>i</code> - </dd>
<dd><code>j</code> - </dd>
<dd><code>characters</code> - la liste des guerriers</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isValidMove(int,int,GamePiece)">
<h3>isValidMove</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isValidMove</span><wbr><span class="parameters">(int&nbsp;x,
 int&nbsp;y,
 <a href="GamePiece.html" title="class in Unnamed Package">GamePiece</a>&nbsp;piece)</span></div>
<div class="block">returns true if the x,y location is a valid move for the given piece considering the spot is empty already</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>piece</code> - </dd>
<dt>Returns:</dt>
<dd>valide ou pas</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
